Web lists-archives.com

Re: Reinstate support for OS X versions older than 10.9




Hi;

On 23 September 2015 at 15:32, Nicolas Dufresne
<nicolas.dufresne@xxxxxxxxxxxxx> wrote:
> Le mercredi 23 septembre 2015 à 11:47 +0100, Emmanuele Bassi a écrit :
>> As I said on the bug, I would not close the door on supporting
>> versions of MacOS prior to 10.9, but given that the platform support
>> is not continuous, it has to fall under a cost/benefit analysis from
>> the perspective of the people that do work on the GLib and GTK+,
>> instead of the people who work with it.
>
> So GTK+ dev are more important then GStreamer devs in regard to GLib
> contributions ? That's a new one to me. We have been working together
> toward a similar goal for a while, I hope this will continue.

I used "GLib and GTK+" after actually writing "the GNOME core
platform" (you can still see a stray 'the', there) because I didn't
want to make this about GNOME at all (since we're talking about
portability on MacOS). I did want to include GStreamer, as well as
other G* libraries — so I guess I'll have to find a way to say "the
core GNOME platform libraries" without mentioning "GNOME". ;-)

GLib has many masters, though, and even if GStreamer does not use the
GNotification API, said API is still there. The issue of future
features that may require bumping up the minimum requirements of the
OS still stands as well.

> p.s. this might not be what you mean, but it felt like that ;-P

I apologize, that wasn't my intention at all.

Ciao,
 Emmanuele.

-- 
https://www.bassi.io
[@] ebassi [@gmail.com]
_______________________________________________
gtk-devel-list mailing list
gtk-devel-list@xxxxxxxxx
https://mail.gnome.org/mailman/listinfo/gtk-devel-list